For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payment ready to be made

The method is designed to confirm payment of an order on the project side.

The system sends a request to "confirm_url" of the project and awaits for a response with requisite parameters: id, status, message, is_payble.

The method will be processed if the value parameter "confirm_url" is uploaded when initiating a payment.

Backoff Policy

To increase the guarantees of receiving a response, BackOff policy is used when fulfiling requests:

  • InitialInterval = 500 * time.Millisecond, intervals between repeated requests

  • RandomizationFactor = 0.5, Spread of the request on time between retries

  • MaxInterval = 60 * time.Second, Maximum time between retries

  • MaxElapsedTime = 10 * time.Minute, the time during which the attempts will be made.

GET https://merchant-website/confirm

Query Parameters

Name
Type
Description

type*

string

Type of transaction

project_reference_id*

string

Order number on the project side

Headers

Name
Type
Description

Authorization

String

Bearer Auto-rotation hash (see Signature Creating)

{
    "id": "121abc", // Идентификатор транзакции на стороне проекта 
    "status": "success", // Статус заказа на стороне проекта
    "message": "order desciption", // Текстовое сопровождение ответа
    "is_payble" : true // Разрешение на проведение платежа
}

The system decides whether to effect a payment depending on the value parameter "is_payble":

  • true - The project authorizes the payment

  • false – The project declines the payment

Last updated

Was this helpful?